"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runActor = void 0;
const tslib_1 = require("tslib");
const log_1 = tslib_1.__importDefault(require("@apify/log"));
const apify_1 = require("apify");
function runActor(CrawlerSetup) {
    void apify_1.Actor.main(async () => {
        log_1.default.debug('Reading INPUT.');
        const input = await apify_1.Actor.getInput();
        if (!input)
            throw new Error('INPUT cannot be empty!');
        // Get crawler setup and startup options.
        const setup = new CrawlerSetup(input);
        log_1.default.info(`Configuring ${setup.name}.`);
        const crawler = await setup.createCrawler();
        log_1.default.info('Configuration completed. Starting the scrape.');
        await crawler.run();
        log_1.default.info(`${setup.name} finished.`);
    });
}
exports.runActor = runActor;
//# sourceMappingURL=run_actor.js.map